Bug 241943 - net-mgmt/p5-FusionInventory-Agent: does not go into deamon mode and detach from terminal
Summary: net-mgmt/p5-FusionInventory-Agent: does not go into deamon mode and detach fr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-13 10:51 UTC by O. Hartmann
Modified: 2020-05-27 05:18 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2019-11-13 10:51:56 UTC
net-mgmt/p5-FusionInventory-Agent fails to detach itself from terminal and going into daemon mode although configured via rc-script. Starting the service via

service fusioninventory start

leaves the process stuck in foreground. This blocks startup of the server/service/host when 

fusioninventory_enable="YES"

is put into either /etc/rc.conf or /etc/rc.conf.local.
Comment 1 olevole 2020-05-26 20:43:17 UTC
it requires addiction 

p5-Proc-Daemon>=0:devel/p5-Proc-Daemon

run RUN_DEPENDS

also relevant for 2.5.2 ( https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244263 )
Comment 2 Kurt Jaeger freebsd_committer 2020-05-26 20:57:47 UTC
The RUN_DEPENDS for devel/p5-Proc-Daemon comes if the port was compiled
with OPTION DAEMON. Does this solve the problem ?
Comment 3 olevole 2020-05-26 22:20:49 UTC
Right. I did not notice this because I used the 'pkg' install method. If we do not want a broken port by default, this option should be enabled
Comment 4 Kurt Jaeger freebsd_committer 2020-05-27 05:18:31 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-05-27 05:18:36 UTC
A commit references this bug:

Author: pi
Date: Wed May 27 05:18:03 UTC 2020
New revision: 536668
URL: https://svnweb.freebsd.org/changeset/ports/536668

Log:
  net-mgmt/p5-FusionInventory-Agent: update 2.4 -> 2.5.2, DAEMON option added to default

  PR:		244263, 241943
  Reported by:	ohartmann@walstatt.org, olevole@olevole.ru
  Approved by:	freebsd@simweb.ch (maintainer timeout)
  Relnotes:	https://metacpan.org/changes/distribution/FusionInventory-Agent

Changes:
  head/net-mgmt/p5-FusionInventory-Agent/Makefile
  head/net-mgmt/p5-FusionInventory-Agent/distinfo
  head/net-mgmt/p5-FusionInventory-Agent/files/patch-Makefile.PL
  head/net-mgmt/p5-FusionInventory-Agent/pkg-plist